import apiRequest from '@/network/http/apiRequest'

/**
 * 分页获取数据库数据
 * @param objectCode
 * @returns
 */
export function getTableDataByPage(objectCode: string) {
  return apiRequest({
    url: `/db/table/${objectCode}/page`,
    method: 'GET',
  })
}

/**
 * 列表获取数据库数据
 * @param objectCode
 * @returns
 */
export function getTableDataByList(objectCode: string) {
  return apiRequest({
    url: `/db/table/${objectCode}`,
    method: 'GET',
  })
}

/**
 * 列表获取数据库数据
 * @param objectCode
 * @returns
 */
export function getTableFieldsByList(objectCode: string) {
  return apiRequest({
    url: `/db/table/${objectCode}/fields`,
    method: 'GET',
  })
}
